M       lang/expect/Makefile
M       lang/expect/distinfo
A       lang/expect/files/patch-3071706
M       lang/expect/files/patch-aa
M       lang/expect/files/patch-ac
M       lang/expect/files/patch-exp_main_sub.c
A       lang/expect/files/patch-expect.man
M       lang/expect/pkg-descr
M       lang/expect/pkg-plist

M       devel/pecl-expect/Makefile
M       misc/sshbuddy/Makefile
M       misc/sshbuddy/files/patch-00
M       net-mgmt/rancid/Makefile
M       net-mgmt/rancid-devel/Makefile

Index: lang/expect/Makefile
===================================================================
--- lang/expect/Makefile	(revision 320054)
+++ lang/expect/Makefile	(working copy)
@@ -1,76 +1,67 @@
-# New ports collection makefile for:	expect
-# Date created:		20 November 1994
-# Whom:			pst
-#
+# Created by: pst
 # $FreeBSD$
 
 PORTNAME=	expect
-PORTVERSION=	5.43.0
-PORTREVISION=	4
-CATEGORIES=	lang tcl tk
-MASTER_SITES=	http://mirror.amdmi3.ru/distfiles/
+PORTVERSION=	5.45
+CATEGORIES=	lang tcl
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTNAME:S/e/E/}/${PORTVERSION}
+DISTNAME=	${PORTNAME}${PORTVERSION}
 
 MAINTAINER=	tcltk@FreeBSD.org
-COMMENT=	A sophisticated scripter based on tcl/tk
+COMMENT=	Sophisticated scripter based on tcl
 
 CONFLICTS=	expect-5.44* weather-[0-9]*
 
-PORTSCOUT=	skipv:5.44.0,5.44.1	# These were recalled by NIST
+EXPECT_VER=	${PORTVERSION}
+LIBEXPECT_VER=	${EXPECT_VER:S/.//}
 
-EXPECT_VER=	5.43
-LIBEXPECT_VER=	543
-
-WRKSRC=		${WRKDIR}/expect-${EXPECT_VER}
 USE_LDCONFIG=	yes
+USE_TCL=	84+
 GNU_CONFIGURE=	yes
 MAKE_JOBS_UNSAFE=	yes
 
 PLIST_SUB+=	EXPECT_VER="${EXPECT_VER}"
 PLIST_SUB+=	LIBEXPECT_VER="${LIBEXPECT_VER}"
 
-OPTIONS_DEFINE=	X11
-OPTIONS_DEFAULT=	X11
+CONFIGURE_ARGS=	--enable-shared \
+		--with-tcl=${TCL_LIBDIR} \
+		--with-tclinclude=${TCL_INCLUDEDIR} \
+		--exec-prefix=${PREFIX}
 
+OPTIONS_DEFINE=	MANPAGES
+OPTIONS_DEFAULT=MANPAGES
+
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MX11}
-LIB_DEPENDS?=	tk84.1:${PORTSDIR}/x11-toolkits/tk84
-.else
-LIB_DEPENDS?=	tcl84.1:${PORTSDIR}/lang/tcl84
-.endif
-
-.if ${PORT_OPTIONS:MX11}
-TK_CONFIG_ARGS=	--with-tkconfig=${LOCALBASE}/lib/tk8.4 \
-		--with-tkinclude=${LOCALBASE}/include/tk8.4
-PLIST_SUB+=	XFILES=""
-.else
-TK_CONFIG_ARGS=
-PLIST_SUB+=	XFILES="@comment "
-.endif
-
-CONFIGURE_ARGS?=--enable-shared \
-		--with-tclconfig=${LOCALBASE}/lib/tcl8.4 \
-		--with-tclinclude=${LOCALBASE}/include/tcl8.4 \
-		${TK_CONFIG_ARGS}
-
-.if !defined(NO_MAN_INSTALL)
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN1=		autoexpect.1 cryptdir.1 decryptdir.1 dislocate.1 \
 		expect.1 kibitz.1 mkpasswd.1 multixterm.1 passmass.1 \
 		tknewsbiff.1 unbuffer.1 xkibitz.1
-.if ${PORT_OPTIONS:MX11}
-MAN1+=		expectk.1
-.endif
 MAN3=		libexpect.3
+.else
+MAKE_ARGS+=	mandir=${WRKDIR}/man
 .endif
 
 post-patch:
-	${REINPLACE_CMD} -e \
-		's|@TCLHDIRDASHI@|& -I${LOCALBASE}/include/tcl8.4/unix|' \
-		${WRKSRC}/Makefile.in ${WRKSRC}/DbgMkfl.in
-	${TOUCH} ${WRKSRC}/configure
+	${REINPLACE_CMD} -e 's/{TCL_SRC_DIR}/{ac_cv_c_tclh}/' \
+		-e 's/{VERSION}/{PACKAGE_VERSION}/' \
+		-e 's/\.so\.1/.so/' \
+		${WRKSRC}/configure
+	${REINPLACE_CMD} -e "/exec tclsh/s#tclsh#${TCLSH}#" \
+		${WRKSRC}/example/*
+.if ${PORT_OPTIONS:MMANPAGES}
+	${REINPLACE_CMD} -e "s/5\.20/${LIBEXPECT_VER}/" \
+		-e "s/7\.5/${USE_TCL}/" ${WRKSRC}/libexpect.man
+.endif
 
 post-install:
-	${LN} -sf libexpect${LIBEXPECT_VER}.so.1 \
+	${LN} -f ${PREFIX}/lib/${PORTNAME}${EXPECT_VER}/libexpect${LIBEXPECT_VER}.so \
 		${PREFIX}/lib/libexpect${LIBEXPECT_VER}.so
+	${LN} -f ${PREFIX}/lib/libexpect${LIBEXPECT_VER}.so \
+		${PREFIX}/lib/libexpect${LIBEXPECT_VER}.so.1
 
+regression-test: build
+	@cd ${WRKSRC} && LC_ALL=C ${MAKE} test
+
 .include <bsd.port.mk>
Index: lang/expect/distinfo
===================================================================
--- lang/expect/distinfo	(revision 320054)
+++ lang/expect/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (expect-5.43.0.tar.gz) = 4c9decec3c5541806f1758706fe649193d5c8afa2913a79361d9fa5f2c993ba1
-SIZE (expect-5.43.0.tar.gz) = 525572
+SHA256 (expect5.45.tar.gz) = b28dca90428a3b30e650525cdc16255d76bb6ccd65d448be53e620d95d5cc040
+SIZE (expect5.45.tar.gz) = 628808
Index: lang/expect/files/patch-3071706
===================================================================
--- lang/expect/files/patch-3071706	(revision 0)
+++ lang/expect/files/patch-3071706	(working copy)
@@ -0,0 +1,74 @@
+from upstream: http://sourceforge.net/p/expect/bugs/80/
+--- exp_clib.c
++++ exp_clib.c
+@@ -15,6 +15,12 @@
+ #endif
+ #include <sys/types.h>
+ #include <sys/ioctl.h>
++#ifdef HAVE_UNISTD_H
++# include <unistd.h>
++#endif
++#ifdef HAVE_SYS_WAIT_H
++#include <sys/wait.h>
++#endif
+ 
+ #ifdef TIME_WITH_SYS_TIME
+ # include <sys/time.h>
+@@ -1955,6 +1955,7 @@
+ 
+ #include "expect.h"
+ #include "exp_int.h"
++EXTERN void		exp_init_tty _ANSI_ARGS_((void));
+ 
+ /* exp_glob.c - expect functions for doing glob
+  *
+--- exp_trap.c
++++ exp_trap.c
+@@ -13,6 +13,7 @@
+ #include <stdio.h>
+ #include <signal.h>
+ #include <sys/types.h>
++#include <string.h>
+ 
+ #ifdef HAVE_SYS_WAIT_H
+ #include <sys/wait.h>
+--- pty_termios.c
++++ pty_termios.c
+@@ -9,6 +9,9 @@
+ 
+ #include <stdio.h>
+ #include <signal.h>
++#include <sys/ioctl.h>
++#include <termios.h>
++#include <libutil.h>
+ 
+ #if defined(SIGCLD) && !defined(SIGCHLD)
+ #define SIGCHLD SIGCLD
+@@ -100,6 +100,7 @@
+ 
+ #include "exp_tty_in.h"
+ #include "exp_rename.h"
++#include "exp_int.h"
+ #include "exp_pty.h"
+ 
+ void expDiagLog();
+--- exp_chan.c
++++ exp_chan.c
+@@ -34,6 +34,7 @@
+ #include "exp_rename.h"
+ #include "exp_prog.h"
+ #include "exp_command.h"
++#include "exp_event.h"
+ #include "exp_log.h"
+ #include "tcldbg.h" /* Dbg_StdinMode */
+ 
+--- exp_tty.h
++++ exp_tty.h
+@@ -19,6 +19,7 @@
+ void exp_tty_echo(int set);
+ void exp_tty_break(Tcl_Interp *interp, int fd);
+ int exp_tty_raw_noecho(Tcl_Interp *interp, exp_tty *tty_old, int *was_raw, int *was_echo);
++int exp_tty_cooked_echo(Tcl_Interp *interp, exp_tty *tty_old, int *was_raw, int *was_echo);
+ int exp_israw(void);
+ int exp_isecho(void);
+ 
Index: lang/expect/files/patch-aa
===================================================================
--- lang/expect/files/patch-aa	(revision 320054)
+++ lang/expect/files/patch-aa	(working copy)
@@ -1,29 +1,15 @@
 --- configure.orig	Fri Oct 22 22:48:14 1999
 +++ configure	Wed Oct 27 18:10:25 1999
-@@ -6273,7 +6273,7 @@
- echo "configure:6274: checking for type of library to build" >&5
- if test "$enable_shared" = "yes" && test "x${TCL_SHLIB_SUFFIX}" != "x" ; then
-   EXP_SHLIB_CFLAGS=$TCL_SHLIB_CFLAGS
--  eval "EXP_SHARED_LIB_FILE=libexpect${TCL_SHARED_LIB_SUFFIX}"
-+  eval "EXP_SHARED_LIB_FILE=libexpect`echo ${VERSION} | tr -d .`.so.1"
-   EXP_LIB_FILE=$EXP_SHARED_LIB_FILE
-   EXP_LIB_FILES="$EXP_SHARED_LIB_FILE $EXP_UNSHARED_LIB_FILE"
-   echo "$ac_t""both shared and unshared" 1>&6
-@@ -6504,7 +6504,7 @@
- s%@TCL_SHLIB_LD@%$TCL_SHLIB_LD%g
- s%@SHLIB_SUFFIX@%$SHLIB_SUFFIX%g
- s%@TCL_LD_FLAGS@%$TCL_LD_FLAGS%g
--s%@TCL_BUILD_LIB_SPEC@%$TCL_BUILD_LIB_SPEC%g
-+s%@TCL_BUILD_LIB_SPEC@%$TCL_LIB_SPEC%g
- s%@TCL_LIB_SPEC@%$TCL_LIB_SPEC%g
- s%@TCL_SHARED_LIB_SUFFIX@%$TCL_SHARED_LIB_SUFFIX%g
- s%@TK_VERSION@%$TK_VERSION%g
-@@ -6512,7 +6512,7 @@
- s%@TK_DBGX@%$TK_DBGX%g
- s%@TK_XINCLUDES@%$TK_XINCLUDES%g
- s%@TK_XLIBSW@%$TK_XLIBSW%g
--s%@TK_BUILD_LIB_SPEC@%$TK_BUILD_LIB_SPEC%g
-+s%@TK_BUILD_LIB_SPEC@%$TK_LIB_SPEC%g
- s%@TK_LIB_SPEC@%$TK_LIB_SPEC%g
- s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
- s%@INSTALL_SCRIPT@%$INSTALL_SCRIPT%g
+@@ -5866,7 +5866,11 @@
+ 
+ fi
+ if test $ac_cv_header_sys_wait_h = yes; then
+-  :
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_SYS_WAIT_H 1
++_ACEOF
++
+ else
+ 
+ cat >>confdefs.h <<\_ACEOF
Index: lang/expect/files/patch-ac
===================================================================
--- lang/expect/files/patch-ac	(revision 320054)
+++ lang/expect/files/patch-ac	(working copy)
@@ -1,36 +1,11 @@
 --- Makefile.in.orig	Sun Sep 28 19:20:30 1997
 +++ Makefile.in	Fri Oct 10 09:05:17 1997
-@@ -186,6 +186,7 @@
- 
- INSTALL = @INSTALL@
- INSTALL_PROGRAM = @INSTALL_PROGRAM@
-+INSTALL_SCRIPT = @INSTALL_SCRIPT@
- INSTALL_DATA = @INSTALL_DATA@
- 
- AR = ar
-@@ -202,6 +203,7 @@
- 	"HDEFS=$(HDEFS)" \
- 	"INSTALL=$(INSTALL)" \
- 	"INSTALL_DATA=$(INSTALL_DATA)" \
-+	"INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
- 	"INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
- 	"LDFLAGS=$(LDFLAGS)" \
- 	"RUNTEST=$(RUNTEST)" \
-@@ -350,7 +352,7 @@
- 	else true; fi
- 	if [ -s $(EXP_SHARED_LIB_FILE) ] ; then \
- 	  $(INSTALL_PROGRAM) $(EXP_SHARED_LIB_FILE) $(tcl_libdir)/$(EXP_SHARED_LIB_FILE) ; \
--	  $(INSTALL_PROGRAM) pkgIndex $(libdir)/pkgIndex.tcl ; \
-+	  $(INSTALL_SCRIPT) pkgIndex $(libdir)/pkgIndex.tcl ; \
- 	else true; fi
- 
- expect_installed:	exp_main_exp.o $(EXP_LIB_FILE) install_shared_lib
-@@ -430,7 +432,7 @@
- 	${srcdir}/mkinstalldirs $(bindir_arch_indep) $(man1dir) $(SCRIPTDIR) $(EXECSCRIPTDIR)
+@@ -239,7 +239,7 @@
+ 	@mkdir -p $(DESTDIR)$(prefix)/bin
  	-for i in $(SCRIPT_LIST) ; do \
  	  if [ -f $$i ] ; then \
--	    $(INSTALL_PROGRAM) $$i $(bindir_arch_indep)/$$i ; \
-+	    $(INSTALL_SCRIPT) $$i $(bindir_arch_indep)/$$i ; \
+-	    $(INSTALL_PROGRAM) $$i $(DESTDIR)$(prefix)/bin/$$i ; \
++	    $(INSTALL_SCRIPT) $$i $(DESTDIR)$(prefix)/bin/$$i ; \
  	    rm -f $$i ; \
  	  else true; fi ; \
  	done
Index: lang/expect/files/patch-exp_main_sub.c
===================================================================
--- lang/expect/files/patch-exp_main_sub.c	(revision 320054)
+++ lang/expect/files/patch-exp_main_sub.c	(working copy)
@@ -3,7 +3,7 @@
 
 --- exp_main_sub.c	2002/08/24 08:04:43	1.1
 +++ exp_main_sub.c	2002/08/24 08:15:33
-@@ -593,6 +593,9 @@
+@@ -672,6 +672,9 @@
  	char *args;		/* ptr to string-rep of all args */
  	char *debug_init;
  
@@ -13,7 +13,7 @@
  	exp_argv0 = argv[0];
  
  #ifdef TCL_DEBUGGER
-@@ -768,18 +771,23 @@
+@@ -853,18 +856,23 @@
  	expDiagLog("set argc %s\r\n",argc_rep);
  
  	if (exp_cmdfilename) {
Index: lang/expect/files/patch-expect.man
===================================================================
--- lang/expect/files/patch-expect.man	(revision 0)
+++ lang/expect/files/patch-expect.man	(working copy)
@@ -0,0 +1,116 @@
+--- ./expect.man.orig	2006-01-26 06:51:28.000000000 +0900
++++ ./expect.man	2013-03-14 12:04:40.000000000 +0900
+@@ -31,20 +31,6 @@
+ and interact directly when desired, afterward returning control to the
+ script.
+ .PP
+-.B Expectk
+-is a mixture of
+-.B Expect
+-and
+-.BR Tk .
+-It behaves just like
+-.B Expect
+-and
+-.BR Tk 's
+-.BR wish .
+-.B Expect
+-can also be used directly in C or C++ (that is, without Tcl).
+-See libexpect(3).
+-.PP
+ The name "Expect" comes from the idea of
+ .I send/expect
+ sequences popularized
+@@ -124,8 +110,6 @@
+ .B \-c
+ by separating them with semicolons.
+ Commands are executed in the order they appear.  
+-(When using Expectk, this option is specified as
+-.BR \-command .)
+ .PP
+ The
+ .B \-d
+@@ -143,8 +127,6 @@
+ command is useful for tracing statements, and the
+ .B trace
+ command is useful for tracing variable assignments.)
+-(When using Expectk, this option is specified as
+-.BR \-diag .)
+ .PP
+ The
+ .B \-D
+@@ -154,8 +136,6 @@
+ or if a ^C is pressed (or a breakpoint is hit, or other appropriate debugger
+ command appears in the script).  See the README file or SEE ALSO (below)
+ for more information on the debugger.
+-(When using Expectk, this option is specified as
+-.BR \-Debug .)
+ .PP
+ The
+ .B \-f
+@@ -163,17 +143,14 @@
+ The flag itself is optional as it is only useful when using
+ the #! notation (see above),
+ so that other arguments may be supplied on the command line.
+-(When using Expectk, this option is specified as
+-.BR \-file .)
+ .PP
+ By default, the command file is read into memory and executed in its entirety.
+ It is occasionally desirable to read files one line at a time.  For example,
+ stdin is read this way.  In order to force arbitrary files to be handled this
+ way, use the
+ .B \-b
+-flag.
+-(When using Expectk, this option is specified as
+-.BR \-buffer .)  Note that stdio-buffering may still take place however this shouldn't cause problems when reading from a fifo or stdin.
++flag.  Note that stdio-buffering may still take place however this
++shouldn't cause problems when reading from a fifo or stdin.
+ .PP
+ If the string "\-" is supplied as a filename, standard input is read instead.
+ (Use "./\-" to read from a file actually named "\-".)
+@@ -194,8 +171,6 @@
+ is assumed if neither a command file nor
+ .B \-c
+ is used.
+-(When using Expectk, this option is specified as
+-.BR \-interactive .)
+ .PP
+ .B \-\-
+ may be used to delimit the end of the options.  This is useful if
+@@ -215,23 +190,17 @@
+ The file $exp_library/expect.rc is sourced automatically if present, unless
+ the
+ .B \-N
+-flag is used.  
+-(When using Expectk, this option is specified as
+-.BR \-NORC .)
+-Immediately after this,
++flag is used.  Immediately after this,
+ the file ~/.expect.rc is sourced automatically, unless the
+ .B \-n
+ flag is used.  If the environment variable DOTDIR is defined,
+ it is treated as a directory and .expect.rc is read from there.
+-(When using Expectk, this option is specified as
+-.BR \-norc .)
+ This sourcing occurs only after executing any
+ .B \-c
+ flags.
+ .PP
+ .B \-v
+-causes Expect to print its version number and exit.  (The corresponding flag
+-in Expectk, which uses long flag names, is \-version.)
++causes Expect to print its version number and exit.
+ .PP
+ Optional
+ .I args
+@@ -1793,8 +1762,8 @@
+ .TP
+ .BI sleep " seconds"
+ causes the script to sleep for the given number of seconds.
+-Seconds may be a decimal number.  Interrupts (and Tk events if you
+-are using Expectk) are processed while Expect sleeps.
++Seconds may be a decimal number.  Interrupts are processed while
++Expect sleeps.
+ .TP
+ .BI spawn " [args] program [args]"
+ creates a new process running
Index: lang/expect/pkg-descr
===================================================================
--- lang/expect/pkg-descr	(revision 320054)
+++ lang/expect/pkg-descr	(working copy)
@@ -4,5 +4,5 @@
 It uses pseudo-tty's to control the child processes, so it is not affected
 by programs that refuse to read from stdin or pipes. (eg: passwd(1) etc).
 
-WWW: http://expect.nist.gov/
-FAQ: http://expect.nist.gov/FAQ.html
+WWW: http://expect.sourceforge.net/
+FAQ: http://expect.sourceforge.net/FAQ.html
Index: lang/expect/pkg-plist
===================================================================
--- lang/expect/pkg-plist	(revision 320054)
+++ lang/expect/pkg-plist	(working copy)
@@ -4,7 +4,6 @@
 bin/decryptdir
 bin/dislocate
 bin/expect
-%%XFILES%%bin/expectk
 bin/ftp-rfc
 bin/kibitz
 bin/lpunlock
@@ -25,9 +24,8 @@
 include/expect_comm.h
 include/expect_tcl.h
 include/tcldbg.h
+lib/expect%%EXPECT_VER%%/libexpect%%LIBEXPECT_VER%%.so
 lib/expect%%EXPECT_VER%%/pkgIndex.tcl
-lib/expect%%EXPECT_VER%%/libexpect%%LIBEXPECT_VER%%.a
-lib/libexpect%%LIBEXPECT_VER%%.a
 lib/libexpect%%LIBEXPECT_VER%%.so
 lib/libexpect%%LIBEXPECT_VER%%.so.1
 @dirrm lib/expect%%EXPECT_VER%%
Index: devel/pecl-expect/Makefile
===================================================================
--- devel/pecl-expect/Makefile	(revision 320054)
+++ devel/pecl-expect/Makefile	(working copy)
@@ -16,7 +16,7 @@
 MAINTAINER=	miwi@FreeBSD.org
 COMMENT=	A PHP extension for expect library
 
-LIB_DEPENDS=	expect543:${PORTSDIR}/lang/expect
+LIB_DEPENDS=	expect545:${PORTSDIR}/lang/expect
 
 LICENSE=	PHP301
 
@@ -28,7 +28,7 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-	  's/\(LIBRARY_WITH_PATH(\)expect/\1expect543/' \
+	  's/\(LIBRARY_WITH_PATH(\)expect/\1expect545/' \
 	  ${WRKSRC}/config.m4
 
 .include <bsd.port.mk>
Index: misc/sshbuddy/Makefile
===================================================================
--- misc/sshbuddy/Makefile	(revision 320054)
+++ misc/sshbuddy/Makefile	(working copy)
@@ -1,27 +1,24 @@
-# New ports collection makefile for:	sshbuddy
-# Date created:		26 September 1999
-# Whom:			Dan Moschuk <dan@freebsd.org>
-#
+# Created by: Dan Moschuk <dan@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	sshbuddy
 PORTVERSION=	1.05
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	misc
 MASTER_SITES=	http://linuxmafia.com/pub/linux/security/sshbuddy/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Simple and small GUI utility to manage ssh sessions
 
-RUN_DEPENDS=	expectk:${PORTSDIR}/lang/expect
+RUN_DEPENDS=	expect:${PORTSDIR}/lang/expect
 
 NO_BUILD=	yes
 PLIST_FILES=	bin/sshbuddy
+USE_TK=		yes
 
-.if defined(WITHOUT_X11)
-BROKEN=		Broken dependency
-.endif
+post-patch:
+		${REINPLACE_CMD} -e "s/tclsh/tclsh${TCL_VER}/" \
+			${WRKSRC}/sshbuddy.expk
 
 do-install:
 		${INSTALL_SCRIPT} ${WRKSRC}/sshbuddy.expk ${PREFIX}/bin/sshbuddy
Index: misc/sshbuddy/files/patch-00
===================================================================
--- misc/sshbuddy/files/patch-00	(revision 320054)
+++ misc/sshbuddy/files/patch-00	(working copy)
@@ -1,8 +1,25 @@
---- sshbuddy.expk.orig	Fri Dec 31 02:10:35 1999
-+++ sshbuddy.expk	Wed Jan 24 04:59:14 2001
-@@ -1,4 +1,4 @@
+--- sshbuddy.expk.orig	1999-12-31 02:10:35.000000000 +0900
++++ sshbuddy.expk	2013-03-15 02:13:21.000000000 +0900
+@@ -1,16 +1,12 @@
 -#!/usr/bin/expectk
-+#!/usr/local/bin/expectk
+-#
+-# EDIT THE ABOVE LINE TO POINT TO WHERE expectk LIVES
+-# 
+-# ALSO !!!!
+-#
+-# CHANGE       set expect_path [exec which expect]
+-# to           set expect_path /man/my/expect/path/is/stupid/expect
+-# if which won't pull up the correct version of expect
++#!/bin/sh
++# -*- tcl -*-
  #
- # EDIT THE ABOVE LINE TO POINT TO WHERE expectk LIVES
- # 
+ # Version Beta1.05
++# The next line is executed by /bin/sh, but not tcl \
++exec tclsh "$0" ${1+"$@"}
+ 
+-set expect_path [exec which expect]
++package require Expect
++package require Tk
+ 
+ ########################################################################
+ #            JUST MY NOTES -- nothing below here to edit
Index: net-mgmt/rancid/Makefile
===================================================================
--- net-mgmt/rancid/Makefile	(revision 320054)
+++ net-mgmt/rancid/Makefile	(working copy)
@@ -9,8 +9,8 @@
 MAINTAINER=	jmohacsi@bsd.hu
 COMMENT=	Really Awesome New Cisco confIg Differ
 
-BUILD_DEPENDS=	expect:${PORTSDIR}/lang/expect-devel
-RUN_DEPENDS=	expect:${PORTSDIR}/lang/expect-devel \
+BUILD_DEPENDS=	expect:${PORTSDIR}/lang/expect
+RUN_DEPENDS=	expect:${PORTSDIR}/lang/expect \
 		p5-LockFile-Simple>=0:${PORTSDIR}/devel/p5-LockFile-Simple
 
 USE_PERL5=	yes
Index: net-mgmt/rancid-devel/Makefile
===================================================================
--- net-mgmt/rancid-devel/Makefile	(revision 320054)
+++ net-mgmt/rancid-devel/Makefile	(working copy)
@@ -11,8 +11,8 @@
 MAINTAINER=	jmohacsi@bsd.hu
 COMMENT=	Really Awesome New Cisco confIg Differ
 
-BUILD_DEPENDS=	expect:${PORTSDIR}/lang/expect-devel
-RUN_DEPENDS=	expect:${PORTSDIR}/lang/expect-devel \
+BUILD_DEPENDS=	expect:${PORTSDIR}/lang/expect
+RUN_DEPENDS=	expect:${PORTSDIR}/lang/expect \
 		p5-LockFile-Simple>=0:${PORTSDIR}/devel/p5-LockFile-Simple
 
 USE_PERL5=	yes
